<div class="resizable2" id="NpMainContent">
    <div id="DecisionMakingRO" style="display:none" class="well NrlForm EditPage" data-ng-controller="DecisionMakingRO.PageController" data-on-key-down="navigateBackward()" data-keys="[27]">
        <div data-alert="" data-ng-repeat="alert in pageModel.alerts" data-type="alert.type" data-close="closeAlert($index)">
            <div data-ng-bind-html-unsafe="alert.msg"></div>
        </div>
        <div class="TopFormArea">
            <h2>{{getALString(getPageTitle())}}</h2>
            <div class="saveCancel">
                <button  id="newPageBtn_id"   data-np-click  ="onNewBtnAction()" data-ng-class="" 
                data-ng-disabled="newIsDisabled()"  >
                    <i class="icon new"/>
                    {{getALString(getLabelById('newPageBtn_id'))}}
                </button>

                <button  id="deleteBtn_id"   data-np-click  ="onDeleteBtnAction()" data-ng-class="" 
                data-ng-disabled="deleteIsDisabled()"  >
                    <i class="icon delete"/>
                    {{getALString(getLabelById('deleteBtn_id'))}}
                </button>

                <button  id="saveBtn_id"   data-np-click  ="onSaveBtnAction()" data-ng-class="" 
                data-ng-disabled="saveIsDisabled()"  >
                    <i class="icon save"/>
                    {{getALString(getLabelById('saveBtn_id'))}}
                </button>

                <button  id="cancelBtn_id"   data-np-click  ="onCancelBtnAction()" data-ng-class="" 
                data-ng-disabled="cancelIsDisabled()"  >
                    <i class="icon back"/>
                    {{getALString(getLabelById('cancelBtn_id'))}}
                </button>

            </div>
        </div>
        <div style="clear:both"></div>
        <div id="DecisionMakingRO_ControllerGrpDema" data-ng-controller="DecisionMakingRO.ControllerGrpDema" data-ng-class="'FloatLeft'" data-ng-show="!isInvisible()" >
            <div class="FormArea"  >
                <table>
                    <tr>
                        <td colspan="1" style="width:25%" >
                            <label class="pull-left" for="GrpDema_itm__description"  data-ng-bind="getALString('Decision Making')"   />
                        </td>
                        <td colspan="1" style="width:25%" >
                            <label class="pull-left" for="GrpDema_itm__clasId"  data-ng-bind="getALString('Classification')"  data-ng-class="!GrpDema_itm__clasId_disabled(modelGrpDema.selectedEntities[0])&&true&&'requiredAsterisk'" />
                        </td>
                        <td colspan="1" style="width:25%" >
                            <label class="pull-left" for="GrpDema_itm__ecgrId"  data-ng-bind="getALString('BRE Rules Name')"  data-ng-class="!GrpDema_itm__ecgrId_disabled(modelGrpDema.selectedEntities[0])&&true&&'requiredAsterisk'" />
                        </td>
                        <td colspan="1" style="width:25%" >
                            <label class="pull-left" for="GrpDema_itm__dateTime"  data-ng-bind="getALString('Date')"  data-ng-class="!GrpDema_itm__dateTime_disabled(modelGrpDema.selectedEntities[0])&&true&&'requiredAsterisk'" />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="1" style="width:25%" >
                            <input name='GrpDema_itm__description' data-ng-model='modelGrpDema.selectedEntities[0].description' data-np-ui-model='modelGrpDema.selectedEntities[0]._description' data-ng-change='markEntityAsUpdated(modelGrpDema.selectedEntities[0],&quot;description&quot;)' data-ng-readonly='GrpDema_itm__description_disabled(modelGrpDema.selectedEntities[0])' data-np-text='dummy' />
                        </td>
                        <td colspan="1" style="width:25%" >
                            <div data-on-key-down='!GrpDema_itm__clasId_disabled(modelGrpDema.selectedEntities[0]) && showLov_GrpDema_itm__clasId(modelGrpDema.selectedEntities[0])' data-keys='[123]' >
                            <input data-np-source='modelGrpDema.selectedEntities[0].clasId.name' data-np-ui-model='modelGrpDema.selectedEntities[0]._clasId'  data-np-context='modelGrpDema.selectedEntities[0]'  data-np-lookup="" class='npLovInput' name='GrpDema_itm__clasId' readonly='true'  > 
                            <button class='npLovButton' type='button' data-np-click='showLov_GrpDema_itm__clasId(modelGrpDema.selectedEntities[0])'   data-ng-disabled="GrpDema_itm__clasId_disabled(modelGrpDema.selectedEntities[0])"   /> 
                            </div>
                        </td>
                        <td colspan="1" style="width:25%" >
                            <div data-on-key-down='!GrpDema_itm__ecgrId_disabled(modelGrpDema.selectedEntities[0]) && showLov_GrpDema_itm__ecgrId(modelGrpDema.selectedEntities[0])' data-keys='[123]' >
                            <input data-np-source='modelGrpDema.selectedEntities[0].ecgrId.name' data-np-ui-model='modelGrpDema.selectedEntities[0]._ecgrId'  data-np-context='modelGrpDema.selectedEntities[0]'  data-np-lookup="" class='npLovInput' name='GrpDema_itm__ecgrId' readonly='true'  > 
                            <button class='npLovButton' type='button' data-np-click='showLov_GrpDema_itm__ecgrId(modelGrpDema.selectedEntities[0])'   data-ng-disabled="GrpDema_itm__ecgrId_disabled(modelGrpDema.selectedEntities[0])"   /> 
                            </div>
                        </td>
                        <td colspan="1" style="width:25%" >
                            <input name='GrpDema_itm__dateTime' data-ng-model='modelGrpDema.selectedEntities[0].dateTime' data-np-ui-model='modelGrpDema.selectedEntities[0]._dateTime' data-ng-change='markEntityAsUpdated(modelGrpDema.selectedEntities[0],&quot;dateTime&quot;)' data-np-required='true' data-ng-readonly='GrpDema_itm__dateTime_disabled(modelGrpDema.selectedEntities[0])' data-np-date='dummy' data-np-format='dd-MM-yyyy' />
                        </td>
                    </tr>
                </table>
            </div>
            <div style='margin:1em 0'></div>
            <div id="DecisionMakingRO_ControllerGrpIntegrateddecision" data-ng-controller="DecisionMakingRO.ControllerGrpIntegrateddecision" data-ng-class="'FloatLeft'" data-ng-show="!isInvisible()" >
                <div data-on-key-down="gridPageUp()" data-keys="[33]" class="NpTable">
                    <div class="TopGridArea">
                        <button data-np-click="createNewEntityAndAddToUI()" data-ng-disabled="newIsDisabled()" ><i class="icon new"></i>{{getALString("New Record")}}</button>
                        <button data-ng-click="model.showSearchParams=!model.showSearchParams" data-ng-class="'FiltersOn'" ><i class="icon filter" />{{getALString("Show Filters")}}</button>
                        <h3>{{getALString(gridTitle())}}</h3>
                    </div>
                    <div class="GridSearchArea" data-ng-show="model.showSearchParams">
                        <table>
                            <tr>
                                <td colspan="3" style="width:25%" >
                                    <label class="pull-left" for="GrpIntegrateddecision_srchr__fsch_decisionCode"  data-ng-bind="getALString('Decision Light')"   />
                                </td>
                                <td colspan="2" style="width:16%" >
                                    <label class="pull-left" for="GrpIntegrateddecision_srchr__fsch_Parcel_Identifier"  data-ng-bind="getALString('Identifier')"   />
                                </td>
                                <td colspan="2" style="width:16%" >
                                    <label class="pull-left" for="GrpIntegrateddecision_srchr__fsch_prodCode"  data-ng-bind="getALString('Farmer Code')"   />
                                </td>
                                <td colspan="2" style="width:16%" >
                                    <label class="pull-left" for="GrpIntegrateddecision_srchr__fsch_Code"  data-ng-bind="getALString('Parcel Code')"   />
                                </td>
                                <td colspan="2" style="width:16%" >
                                    <label class="pull-left" for="GrpIntegrateddecision_srchr__fsch_CultDeclCode"  data-ng-bind="getALString('Declared Cultivation')"   />
                                </td>
                                <td colspan="1"  >
                                </td>
                            </tr>
                            <tr>
                                <td colspan="3" style="width:25%" >
                                    <select name='GrpIntegrateddecision_srchr__fsch_decisionCode' data-ng-model='modelGrpIntegrateddecision.fsch_decisionCode' data-np-ui-model='modelGrpIntegrateddecision._fsch_decisionCode' data-np-select='dummy' data-ng-options='x.value as x.label for x in [{label:getALString("DropDownList_ChooseOne"), value:null}, {label:getALString("Green"), value:1}, {label:getALString("Yellow"), value:2}, {label:getALString("Red"), value:3}, {label:getALString("Undefined"), value:4}]' data-ng-disabled='GrpIntegrateddecision_srchr__fsch_decisionCode_disabled()' />
                                </td>
                                <td colspan="2" style="width:16%" >
                                    <input name='GrpIntegrateddecision_srchr__fsch_Parcel_Identifier' data-ng-model='modelGrpIntegrateddecision.fsch_Parcel_Identifier' data-np-ui-model='modelGrpIntegrateddecision._fsch_Parcel_Identifier' data-ng-readonly='GrpIntegrateddecision_srchr__fsch_Parcel_Identifier_disabled()' data-np-text='dummy' />
                                </td>
                                <td colspan="2" style="width:16%" >
                                    <input name='GrpIntegrateddecision_srchr__fsch_prodCode' data-ng-model='modelGrpIntegrateddecision.fsch_prodCode' data-np-ui-model='modelGrpIntegrateddecision._fsch_prodCode' data-ng-readonly='GrpIntegrateddecision_srchr__fsch_prodCode_disabled()' data-np-number='dummy' data-np-decimals='0' data-np-decSep=',' data-np-thSep='' class='ngCellNumber' />
                                </td>
                                <td colspan="2" style="width:16%" >
                                    <input name='GrpIntegrateddecision_srchr__fsch_Code' data-ng-model='modelGrpIntegrateddecision.fsch_Code' data-np-ui-model='modelGrpIntegrateddecision._fsch_Code' data-ng-readonly='GrpIntegrateddecision_srchr__fsch_Code_disabled()' data-np-text='dummy' />
                                </td>
                                <td colspan="2" style="width:16%" >
                                    <div data-on-key-down='!GrpIntegrateddecision_srchr__fsch_CultDeclCode_disabled() && showLov_GrpIntegrateddecision_srchr__fsch_CultDeclCode()' data-keys='[123]' >
                                    <input data-np-source='modelGrpIntegrateddecision.fsch_CultDeclCode.name' data-np-ui-model='modelGrpIntegrateddecision._fsch_CultDeclCode'  data-np-context=''  data-np-lookup="" class='npLovInput' name='GrpIntegrateddecision_srchr__fsch_CultDeclCode' readonly='true'  > 
                                    <button class='npLovButton' type='button' data-np-click='showLov_GrpIntegrateddecision_srchr__fsch_CultDeclCode()'   data-ng-disabled="GrpIntegrateddecision_srchr__fsch_CultDeclCode_disabled()"   /> 
                                    </div>
                                </td>
                                <td colspan="1"  >
                                </td>
                            </tr>
                        </table>
                        <div class="GridSearchAreaFooter">
                            <button data-np-click="updateGrid()"><i class="icon search" />{{getALString("Search")}}</button>
                            <button data-np-click="clearBtnAction()"><i class="icon clear" />{{getALString("Clear")}}</button>
                        </div>
                    </div>
                    <div data-on-key-down="gridPageDown()" data-keys="[34]">
                        <div id="GrpIntegrateddecision_tableId" data-ng-grid="modelGrpIntegrateddecision.grid" class="gridStyle">
                        </div>
                    </div>
                </div>
                <div style='margin:1em 0'></div>
                <div class="FormArea" data-ng-show="!GrpIntegrateddecision_0_invisible()" >
                    <h3>{{getALString("Export")}}</h3>
                    <table>
                        <tr>
                            <td colspan="1" style="width:25%" >
                                <button  id="GrpIntegrateddecision_0_0" title="{{getALString('Export Integrated Decision Data to a CSV file')}}"   data-np-click  ="exportIntegratedDecisionsToCSV(modelGrpIntegrateddecision.selectedEntities[0])" data-ng-class="" 
                                data-ng-disabled="GrpIntegrateddecision_0_0_disabled(modelGrpIntegrateddecision.selectedEntities[0])"  >
                                    {{getALString('Export to CSV file')}}
                                </button>

                            </td>
                            <td colspan="1" style="width:25%" >
                                <button  id="GrpIntegrateddecision_0_1" title="{{getALString('Push Traffic Lights to WP4 Cap Markers Data Signals API')}}"   data-np-click  ="actionPushToCommonsAPI(modelGrpIntegrateddecision.selectedEntities[0])" data-ng-class="" 
                                data-ng-disabled="GrpIntegrateddecision_0_1_disabled(modelGrpIntegrateddecision.selectedEntities[0])"  >
                                    {{getALString('Push Traffic Lights to WP4 CMDS API')}}
                                </button>

                            </td>
                            <td colspan="1"  >
                            </td>
                            <td colspan="1"  >
                            </td>
                        </tr>
                    </table>
                </div>
                <div style='margin:1em 0'></div>
                <div class="FormArea" data-ng-show="!XartoReg_invisible()" >
                    <table>
                        <tr>
                            <td colspan="2" style="width:100%" >
                                <label class="pull-left" for="INPMPDMRO"  data-ng-bind="getALString('')"   />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2" style="width:100%" >
                                <div tabindex="-1" id="INPMPDMRO" style="border: 1px solid #53A0D0; height: 400px"></div>
                                <div style='margin:1em 0'></div>
                                <div style="display: none">
                                    <div id="INPMPDMRO_popup"></div>
                                </div>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
